## org.apache.commons.math3.genetics
Interface MutationPolicy

All Known Implementing Classes:
  BinaryMutation, RandomKeyMutation

    public interface MutationPolicy

Algorithm used to mutate a chromosome.

Since:
  2.0
Version:
  $Id: MutationPolicy.java 1244107 2012-02-14 16:17:55Z erans $

Method Summary
`Chromosome` `mutate(Chromosome original)` Mutate the given chromosome.

Method Detail

### mutate

    Chromosome mutate(Chromosome original)

  Mutate the given chromosome.

  Parameters:
    `original` - the original chromosome.
  Returns:
    the mutated chromosome.

Copyright (c) 2003-2013 Apache Software Foundation